Retrieves all db notes
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
db_notes| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_table_id |
Table Id db notes linked to |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_name |
Foreign key to the table this db_notes is linked to (Possibles values are company,jobs,project,task) using table name |
string |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id on the given table on which db note linked to |
globally unique identifier |
Required |
| user_id |
Created User ID |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating a db_notes |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating a db_notes |
user |
Optionally required : user_id, user_code or user must be provided |
| date_add |
Date Added. is on the local user time. |
date | |
| dateutc_add |
Date Added. Auto-filled by NOW if empty |
date | |
| notes |
Notes |
string |
Required |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "62a09df8-33bb-4012-8ce9-940b1f00a208",
"db_table_id": "7ad6e831-7951-4ca3-9c0b-cbb8abc45529",
"db_table_name": "sample string 3",
"id_in_table": "93a7247a-93af-457b-afc2-1310e2e3db5c",
"user_id": "ff2ea91d-8681-4536-8b8e-2214fc22c515",
"user_code": "sample string 6",
"date_add": "2026-08-12T14:25:49.2651771+00:00",
"dateutc_add": "2026-08-12T14:25:49.2651771+00:00",
"notes": "sample string 9",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-08-12T14:25:49.2651771+00:00"
}